#
# This produces code that blanks calculated boxes if they are equal to 0.0. Obviously, you will need to make sure you
# are blanking the right calculated boxes. This tool processes the code you have copied to the clipboard. The tool adds
# the blanking code to your copied code after each calculated box.
#
# You no longer need to copy your code to an intermediate file.
#
# THE TOOL WILL CONVERT THIS:
#
# 	box4_4 = '%0.0f' % (box4_1.to_f < 6000.0 ? box4_1.to_f : 6000.0)
#	box4_5 = '%0.0f' % (6000.0 - box4_4.to_f)
#
# TO THIS:
#
#	box4_4 = '%0.0f' % (box4_1.to_f < 6000.0 ? box4_1.to_f : 6000.0)
#	box4_4 = '' if (box4_4.to_f == 0.0)
#	box4_5 = '%0.0f' % (6000.0 - box4_4.to_f)
#	box4_5 = '' if (box4_5.to_f == 0.0)
#
# HOW TO USE THIS TOOL:
#
# This routine reads FROM THE CLIPBOARD and copies code TO THE CLIPBOARD - Do the following:
#
# 1) Select and then COPY the ENTIRE code section THAT WILL NEED TO BE PROCESSED.
#
#	DO NOT SELECT ASSIGNMENTS TO BARCODES OR STUFF LIKE THAT.
#
#	Keep that code selected because you will be able to paste right over it with the converted code.
#
# 2) From this file press F5 to execute this script. It automatically retrieves your copied code from the clipboard.
#
# 3) Check the output pane for code correctness. The ouput has ALSO been copied to the clipboard.
#
# 4) If the code is correct, do a Ctrl-V to overwrite your selected code with the blanking code added to it.
#
# That is it....CHANGE NOTHING IN THIS FILE. Help is just a yell away. Throwing staplers is optional.
#
# ************************** CHANGE NOTHING BELOW THIS LINE *****************************************

require 'tk'

codeArray = TkClipboard.get(nil).split("\n")
#p codeArray
print "\n"

outputStr = ""

codeArray.each do |line|

	# Add the line to the output string.
	outputStr += (line + "\n")

	# Check if the line is a calculation, i.e. being assigned a value.
	# If it is, add the blanking code to the output string IF the box
	# is NOT alrteady being blanked.
	if (line =~ /^(\s*)(box\d+_\d+)\s*=(?!\s*'')/)

		outputStr += "#{$1}#{$2} = '' if (#{$2}.to_f == 0.0)\n"
	end
end

#
# TkClipboard.set first clears the clipboard.
#
TkClipboard.set(outputStr.empty? ? '' : outputStr, nil)

# So you can view the ouput before actually using it.
print outputStr
